[Deprecated]: v1.0

put

/ec-site-svc/rest/v1.0/studies/{studyId}/{mode}/labs/{id}

Deprecated: Use /v2.0/studies/{studyId}/{mode}/labs/{studyLabId} instead.

Request

Path Parameters
Supported Media Types
Request Body - application/json ()
Root Schema : LabDto v1.0
Type: object
Title: LabDto v1.0
Payload used to create or update a lab.
Show Source
Examples

Back to Top

Response

Supported Media Types

200 Response

Successful operation.
Body ()
Root Schema : LabDto v1.0
Type: object
Title: LabDto v1.0
Payload used to create or update a lab.
Show Source
Examples

400 Response

Returned when one or more path parameters, query parameters, or request-body values fail endpoint validation.
Body ()
Root Schema : SDFResponse
Type: object
Title: SDFResponse
Wrapper for service responses containing result or error data.
Show Source
Nested Schema : ErrorResponseData
Type: object
Show Source
Nested Schema : result
Type: object
The result object for successful requests. Type depends on the API operation.
Example:
{
    "hasMore":"true",
    "totalResults":5,
    "count":5,
    "data":[
    ]
}
Nested Schema : details
Type: object
Examples

Back to Top